# Address

## Balance

<mark style="color:blue;">`GET`</mark> `https://nodes.lto.network/addresses/balance/:address`

Get account balance

#### Path Parameters

| Name    | Type   | Description                        |
| ------- | ------ | ---------------------------------- |
| address | String | Account's address in Base58 format |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "address": "3N3keodUiS8WLEw9W4BKDNxgNdUpwSnpb3K",
  "confirmations": 0,
  "balance": 100945889661986
}
```

{% endtab %}
{% endtabs %}

## Balance after confirmations

<mark style="color:blue;">`GET`</mark> `https://nodes.lto.network/addresses/balance/:address/:confirmations`

Get account balance after X confirmations from now

#### Path Parameters

| Name          | Type   | Description                        |
| ------------- | ------ | ---------------------------------- |
| address       | String | Account's address in Base58 format |
| confirmations | String | Number of confirmations            |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "address": "3N3keodUiS8WLEw9W4BKDNxgNdUpwSnpb3K",
  "confirmations": 500,
  "balance": 100945388397565
}
```

{% endtab %}
{% endtabs %}

## Balance details

<mark style="color:blue;">`GET`</mark> `https://nodes.lto.network/addresses/balance/details/:address`

Get balance details

#### Path Parameters

| Name    | Type   | Description                        |
| ------- | ------ | ---------------------------------- |
| address | String | Account's address in Base58 format |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "address": "3P2HNUd5VUPLMQkJmctTPEeeHumiPN2GkTb",
  "regular": 1498883844,
  "generating": 1066926675599895,
  "available": 1498883844,
  "effective": 1067913688974251
}
```

{% endtab %}
{% endtabs %}

| Balance    | Description                                               |
| ---------- | --------------------------------------------------------- |
| Regular    | The amount LTO owned by the account, including LTO leased |
| Available  | The amount LTO owned by the account, excluding LTO leased |
| Effective  | The available amount + the LTO leased to the account      |
| Generating | The minimal effective balance over the last 1000 blocks   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ltonetwork.com/node/public-node/rest-api/address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
